#ifndef _BOUNCE_MODULE
#define _BOUNCE_MODULE

#include "ofMain.h"
#include "ofVec3f.h"
#include "graphicsModuleBase.h"

class bounceModule : public graphicsModuleBase {
	
	public:
		
		bounceModule();
		
		void 		setup();
		void 		reset();
	 	void 		update();
		void 		draw();
		bool 		bAmIdone();
		
		ofVec3f		getStartPosition();
		float		getStartAngle();
		
		
		
		ofVec3f 	pos;
		ofVec3f 	vel;
		int 		bounceCount;
		int 		framecount;	// so we don't do a new point every frame...
		bool 		bNewPos;
		

};

#endif	